@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Kanit&display=swap");
/* font-family: 'Kanit', sans-serif; */
* {
   margin: 0px;
   padding: 0px;
   box-sizing: border-box;
   font-family: "Poppins", sans-serif;
}
body {
   background: #eee;
}
.main-container {
   max-height: 100vh;
   overflow-y: hidden;
   background-color: transparent;
   width: 100%;
}
.routes {
   padding-left: 20px;
   padding-right: 20px;
}
/* Apply a fade-in animation to the page content */

/* 🔵🔵🔵 { NAVIGATION BAR } 🔵🔵🔵 */
@keyframes slideFadeScale {
   0% {
      transform: translateX(-250px) scale(0.8);
      opacity: 0;
   }
   50% {
      transform: translateX(-50px) scale(1);
      opacity: 0.8;
   }
   100% {
      transform: translateX(0) scale(1);
      opacity: 1;
   }
}
.clear-local {
   border: none;
   background-color: rgba(187, 0, 0, 0.623);
   position: absolute;
   top: 97px;
   left: 370px;
   color: white;
   padding-left: 7px;
   padding-right: 20px;
   border-radius: 5px;
   box-shadow: 0px 2px 4px rgba(0, 0, 0, 0.2);
   transition: all ease-in-out 0.09s;
   margin-left: 10px;
}
@media (max-width: 768px) {
   .clear-local {
      position: absolute;
      top: 96px;
      left: 120px;
   }
   .clear-local:hover {
      background-color: rgba(187, 0, 0, 0.92);
      transform: scale(1.05);
   }
}
.clear-local:hover {
   background-color: rgba(187, 0, 0, 0.92);
   transform: scale(1.05);
}
.sidebar-main {
   background: rgba(237, 255, 253, 0.775);
   min-width: 250px;
   max-width: 250px;
   animation: slideFadeScale 1s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
   transition: all 0.5s ease-in-out;
   padding: 0px !important;
   z-index: 1000 !important;
   height: 100vh;
}
@media (max-width: 767px) {
   .sidebar-main {
      margin-left: -250px;
      position: fixed;
      min-height: 100vh;
      z-index: 1;
   }
   .sidebar-main.hidden {
      background-color: #ffffff;
      margin-left: 0;
   }
}
.prio {
   font-family: "Kanit", sans-serif;
   font-size: 29px;
   color: rgb(42, 42, 42);
}
.nav-links {
   background-color: transparent;
   border-radius: 8px;
   transition: background-color 0.3s ease-in-out, color 0.3s ease,
      transform 0.5s ease;
}
.nav-links:hover {
   background-color: rgb(255, 255, 255);
   color: #0084ff;
   transform: scale(1.03);
}
.nav-links.dark:hover {
   background-color: rgb(31, 31, 31);
   color: #0084ff !important;
   transform: scale(1.02);
}
.menu-icons {
   font-size: 25px;
   margin-right: 10px;
   margin-left: 15px;
   padding-top: 5px;
   padding-bottom: 5px;
}
.navbar-brand {
   padding: 0px 0px 0px 15px;
   width: 100%;
   position: relative;
   top: -10px;
}
.menus {
   position: relative;
   top: -30px;
}
.clear-local-storage,
hr {
   position: relative;
   top: 400px;
}

/* Horizontal Navbar */
.arrow-icon {
   position: relative;
   top: -5px;
   left: 10px;
}
.navbar-horizontal {
   background-color: rgba(254, 255, 255, 0.158) !important;
   border-radius: 50px;
   margin: 15px 10px;
   box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.prio-task-logo {
   width: 40px;
   height: 40px;
   transition: transform 0.3s ease-in-out;
}
.prio-task-logo:hover {
   transform: scale(1.05);
   transform: rotate(-180deg);
}
.btn-add-task {
   background: linear-gradient(
      45deg,
      rgba(0, 179, 255, 0.969),
      rgba(76, 0, 255, 0.738)
   );
   border: none;
   color: white;
   position: relative;
   top: 10px;
   transition: all 0.5s;
   box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.2);
}
.btn-add-task:hover {
   background: linear-gradient(
      45deg,
      rgb(0, 179, 255),
      rgba(76, 0, 255, 0.906)
   );
   border: none;
   color: white;
   transform: scale(1.05);
}

/*🔵🔵🔵 {VIEW PAGE} 🔵🔵🔵*/
.video {
   min-height: 100vh;
   width: 100%;
   z-index: -2;
   position: absolute;
   top: 0;
   background-size: cover;
   overflow-y: hidden;
   z-index: -3;
}
.view-page {
   min-height: 100vh;
   width: 100%;
   z-index: -2;
   position: absolute;
   top: 0;
   background-image: url(https://res.cloudinary.com/dv3x7qoak/image/upload/v1691572167/taskbg.jpg);
   background-size: cover;
   overflow: hidden;
   z-index: -3;
}

.view-page-overlay-blur {
   min-height: 100vh;
   width: 100%;
   position: absolute;
   top: 0;
   overflow: hidden;
   z-index: -1;
   background-image: linear-gradient(
      rgb(225, 225, 225),
      rgba(2, 225, 255, 0.815)
   );
   backdrop-filter: blur(8px);
}

.mode {
   right: 20px;
   font-size: 25px;
}

@media (max-width: 768px) {
   .btn-add-task {
      top: 10px;
      left: -180px;
   }
}
/* Pages */

@media (max-width: 768px) {
   .pages-title {
      position: relative;
      top: -55px;
      left: 130px;
      font-size: 20px !important;
   }
}
.pages-title-predict,
.pages-title-predict-calendar,
.pages-title-predict-stack,
.pages-title-predict-dash {
   position: absolute;
   top: 28px;
   left: 720px;
   font-size: 20px !important;
   /* color: rgb(42, 42, 42) !important; */
}

@media (max-width: 768px) {
   .pages-title-predict {
      position: relative;
      top: -58px;
      left: 80px;
      font-size: 20px !important;
      color: rgb(42, 42, 42) !important;
   }
   .pages-title-predict-calendar {
      position: relative;
      top: -75px;
      left: 120px;
      font-size: 20px !important;
   }
   .pages-title-predict-stack {
      position: relative;
      top: -55px;
      left: 120px;
      font-size: 20px !important;
      color: rgb(42, 42, 42) !important;
   }
   .pages-title-predict-dash {
      position: relative;
      top: -55px;
      left: 120px;
      font-size: 20px !important;
      color: rgb(42, 42, 42) !important;
   }
}

/* Form */
@keyframes slideFade {
   0% {
      opacity: 0;
      transform: translate(-50%, -10%); /* Start slightly below the top */
   }
   100% {
      opacity: 1;
      transform: translate(-50%, 0%);
   }
}

.form-add-task {
   background-image: linear-gradient(
      to bottom,
      rgba(0, 97, 121, 0.653),
      #ffffff80
   );

   animation: slideFade 1s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
   padding: 15px;
   width: 500px;
   position: relative;
   left: 550px;
   border-radius: 10px !important;
}
.stack-confirmation {
   background-image: linear-gradient(
      to bottom,
      rgba(239, 239, 239, 0.381),
      #f9f9f931
   );
   color: gray;
   animation: slideFade 1s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
   padding: 50px;
   width: 500px;
   position: relative;
   left: 550px;
   border-radius: 10px !important;
}
.update-add-task {
   background-image: linear-gradient(
      to bottom,
      rgba(119, 0, 255, 0.653),
      #00ffe151
   );

   animation: slideFade 1s cubic-bezier(0.68, -0.55, 0.27, 1.55) forwards;
   padding: 15px;
   width: 500px;
   position: relative;
   left: 550px;
   border-radius: 10px !important;
}

@media (max-width: 576px) {
   .form-add-task {
      width: auto;
      left: 165px;
   }
}

@media (min-width: 577px) and (max-width: 768px) {
   .form-add-task {
      width: auto;
      left: 310px;
   }
}
.modal-title {
   font-size: 16px;
}
.modal-icon {
   font-size: 70px !important;
   position: relative;
   top: 10px;
   left: 200px;
}
@media (max-width: 768px) {
   .modal-icon {
      font-size: 70px !important;
      position: relative;
      top: 5px;
      left: 170px;
   }
}
/* Table */
.thead-left {
   border-top-left-radius: 10px;
   /* border-bottom-left-radius: 10px; */
}
.thead-right {
   border-top-right-radius: 10px;
   /* border-bottom-right-radius: 10px; */
}
.action {
   max-width: 188px;
}
.custom-table {
   background-color: rgba(254, 253, 253, 0.391);
   padding-top: 1px;
   padding-left: 5px;
   padding-right: 5px;
   padding-bottom: 0px;
   border-radius: 10px;
   overflow: hidden;
   border-radius: 10px;
   position: relative;
   top: 5px;
   box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}
.badge {
   font-weight: 400;
   padding: 10px;
   font-size: 16px;
   padding-left: 40px;
   padding-right: 40px;
}
.stacked {
   background-color: rgb(190, 190, 190) !important;
   border: none;
   color: rgb(0, 0, 0) !important;
}
.stack {
   width: 89px;
}
.delete {
   width: 100px;
}
.borderTr {
   background-color: rgba(254, 253, 253, 0.391);
   padding: 5px;
   padding-bottom: 0px;
   border-radius: 10px;
}
.task-name-td {
   max-width: 280px;
   min-width: 280px;
}
.status-th {
   max-width: 130px;
   min-width: 130px;
}
.status-td {
   max-width: 80px;
}
.start-date-td,
.deadline-td {
   min-width: 150px;
}
.th-weight {
   font-weight: 600;
   border-bottom: none;
}
/* Animation */
@keyframes spinScaleLoop {
   0%,
   100% {
      transform: translateX(0) scale(1);
   }
   25% {
      transform: translateX(0) scale(1.2) rotate(200deg);
   }
   50% {
      transform: translateX(0) scale(0.95) rotate(-230deg);
   }
   75% {
      transform: translateX(0) scale(1.1) rotate(200deg);
   }
}
.animated-navbar {
   animation: spinScaleLoop 45s cubic-bezier(0.68, -0.55, 0.27, 1.55) infinite;
}
.animated-navbar-2 {
   animation: spinScaleLoop 10s cubic-bezier(0.68, -0.55, 0.27, 1.55) infinite;
}

/* 🟣🟣Dark Mode🟣🟣 */
hr,
.prio.dark,
.menu-icons.dark,
.pages-title.dark,
.pages-title-predict.dark,
.modal-title.dark,
.navbar-brand.dark,
.menu-items.dark,
.arrow-icon.dark,
.bx-moon.dark {
   color: rgb(201, 201, 201) !important;
}
.sidebar-main.dark {
   background: rgb(19, 19, 19) !important;
}
.form-add-task.dark {
   background-color: rgba(30, 30, 30, 0.912) !important;
}
.custom-table.dark {
   background-color: rgb(14, 14, 14) !important;
}

.navbar-horizontal.dark {
   background-color: rgba(6, 6, 6, 0.703) !important;
}
.view-page-overlay-blur.dark {
   background-image: linear-gradient(
      rgb(39, 39, 39),
      rgba(5, 5, 5, 0.929)
   ) !important;
}
.borderTr.dark {
   background-color: rgba(12, 12, 12, 0.391) !important;
}

.bx-moon,
.bx-sun {
   margin-right: 10px;
   transition: transform 0.3s ease;
}
.bx-moon:hover,
.bx-sun:hover {
   transform: rotate(-120deg);
}
.box-stack-todo.dark,
.box-stack-completed.dark,
.box-stack-inprogress.dark,
.card.dark {
   background-color: rgba(0, 0, 0, 0.212);
   color: white;
}

/* Swal */
.my-custom-popup-class {
   background-color: #00000062;
   border-radius: 20px;
   color: #ffffff;
   padding-bottom: 40px;
   border: 5px rgb(0, 146, 214);
   border-style: outset;
}
.confirm-button {
   background-color: rgba(220, 48, 48, 0.838) !important;
   color: white;
}
.cancel-button {
   background-color: rgba(255, 255, 255, 0.144) !important;
   color: white;
}
/* New Update */
.start-here-button {
   margin: 2px;
   font-size: 13px;
   padding-left: 3px;
   padding-right: 3px;
   transition: background-color 0.3s, box-shadow 0.3s;
   box-shadow: 0 2px 4px rgba(0, 0, 0, 0.295);
   border: none;
   color: white;
}
.stack-btn {
   padding-left: 11px;
   padding-right: 11px;
   transition: background-color 0.3s, box-shadow 0.3s;
   box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
   border: none;
}
.start-here-button:hover,
.stack-btn:hover {
   background-color: #0070df;
   color: rgb(39, 39, 39);
}
.task-name-td {
   word-wrap: break-word;
}
.status-td {
   font-size: 13px;
   font-weight: 500;
}
/* StackBoard */

.box-stack-todo {
   height: 40px;
   background-color: white;
   border-radius: 5px;
   border-top: #4a4a4a solid;
   margin-bottom: 5px;
   display: flex;
   align-items: center;
   justify-content: center;
}
.box-stack-inprogress {
   height: 40px;
   background-color: white;
   border-radius: 5px;
   border-top: #0070df solid;
   margin-bottom: 5px;
   display: flex;
   align-items: center;
   justify-content: center;
}

.box-stack-completed {
   height: 40px;
   background-color: white;
   border-radius: 5px;
   border-top: #00df70 solid;
   margin-bottom: 5px;
   display: flex;
   align-items: center;
   justify-content: center;
}
.card-subtitle {
   font-size: 12px;
}
.stack-buttons {
   font-size: 10px;
   padding: 5px;
}
.bx-stack-icons {
   position: relative;
   color: rgb(156, 156, 156);
}
.stack-room {
   overflow: auto; /* This will add a scrollbar only when necessary */
   overflow-y: scroll; /* Always show a vertical scrollbar */
}
.card.dark {
   background-color: rgb(34, 34, 34);
   color: white;
}
/* Form */
.modal-body-1 {
   border-radius: 20px;
}
.start-date-td {
   word-wrap: break-word;
   max-width: 100px;
}
.stack-button {
   padding-left: 9px;
   padding-right: 9px;
}
.action-button {
   background-color: #0034df;
}
/* .isCompleted {
   background-color: rgba(156, 156, 156, 0.313) !important;
   border: none !important;
   color: gray;
} */
.recommended-start {
   min-width: 20px;
   margin-top: 20px;
   margin-bottom: 20px;
}
.card-title {
   background-color: rgba(177, 177, 177, 0.126);
   border-radius: 7px;
}

.stack-container {
   height: 780px;
   overflow-y: scroll;
   overflow-x: hidden;
}
.stack-container::-webkit-scrollbar {
   width: 5px;
}

.stack-container::-webkit-scrollbar-thumb {
   background-color: #0425fd50;
   border-radius: 5px;
}
.blank-space {
   height: 300px;
}
.main-stack-board::-webkit-scrollbar {
   width: 5px;
}

.main-stack-board::-webkit-scrollbar-thumb {
   background-color: rgba(128, 128, 128, 0.285);
}
@font-face {
   font-family: "Material Icons";
   font-style: normal;
   font-weight: 400;
   src: url(https://example.com/MaterialIcons-Regular.eot); /* For IE6-8 */
   src: local("Material Icons"), local("MaterialIcons-Regular"),
      url(https://example.com/MaterialIcons-Regular.woff2) format("woff2"),
      url(https://example.com/MaterialIcons-Regular.woff) format("woff"),
      url(https://example.com/MaterialIcons-Regular.ttf) format("truetype");
}
.material-icons {
   font-family: "Material Icons";
   font-weight: normal;
   font-style: normal;
   font-size: 14px;
   display: inline-block;
   line-height: 1;
   text-transform: none;
   letter-spacing: normal;
   word-wrap: normal;
   white-space: nowrap;
   direction: ltr;

   /* Support for all WebKit browsers. */
   -webkit-font-smoothing: antialiased;
   /* Support for Safari and Chrome. */
   text-rendering: optimizeLegibility;

   /* Support for Firefox. */
   -moz-osx-font-smoothing: grayscale;

   /* Support for IE. */
   font-feature-settings: "liga";
}

.material-symbols-outlined {
   font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
   font-size: 20px;
   display: inline-flex;
   align-items: center;
}
.white-space {
   width: 10px;
}
/* Navbar continuation */
.toggle-bar-button {
   position: relative;
   top: -85px;
   left: 160px;
   z-index: 5;
   font-size: 20px;
}
.card {
   box-shadow: 0px 0px 10px rgba(0, 1, 1, 0.2);
   max-height: 200px;
   min-height: 200px;
}
/* Calendar */
.calendar {
   background-color: rgba(255, 255, 255, 0.671);
   padding: 20px;
   border-radius: 10px;
   color: gray;
}
.calendar.dark {
   background-color: rgba(26, 26, 26, 0.671);
   color: rgb(185, 185, 185);
}
.fc-col-header-cell-cushion {
   color: black !important;
}
.fc-daygrid-day-number {
   color: rgb(158, 158, 158);
}

@media (max-width: 768px) {
   .fc-header-toolbar {
      font-size: 10px;
   }
   .fc-prev-button,
   .fc-next-button {
      position: relative;
      left: 220px;
      top: -26px;
      margin-top: 2px;
   }
   .fc-dayGridMonth-button,
   .fc-timeGridWeek-button,
   .fc-timeGridDay-button {
      position: relative;
      top: -13px !important;
      left: -118px;
   }
   .fc-toolbar-title {
      font-size: 16px !important;
      white-space: nowrap;
      position: relative;
      top: 20px;
   }
}
/* Chart */
.chart,
.time {
   max-height: 260px !important;
   max-width: 350px !important;
   background-color: rgba(255, 255, 255, 0.687);
   padding: 10px;
   border-radius: 10px;
   color: white !important;
}

.chart-pie {
   max-height: 340px !important;
   max-width: 600px !important;
   background-color: rgba(255, 255, 255, 0.687);
   padding: 20px;
   border-radius: 10px;
   color: white !important;
}
.chart-bar {
   max-height: 250px !important;
   max-width: 600px !important;
   background-color: rgba(255, 255, 255, 0.687);
   padding: 20px;
   border-radius: 10px;
   color: white !important;
}
.white-break {
   height: 10vh;
}
.white-break-start {
   height: 50vh;
}
.taskList {
   height: 780px;
   overflow-y: scroll;
   overflow-x: hidden;
}
.taskList::-webkit-scrollbar {
   width: 7px;
}
.taskList::-webkit-scrollbar-thumb {
   background-color: #0e689c;
   border-radius: 10px;
}
.superText {
   color: rgb(218, 218, 218) !important;
}
/* Landing page */
.landing-page {
   position: absolute;
}
.login-page,
.register-page {
   position: absolute;
   width: 400px;
   top: 120px;
   left: 800px;
   background-color: rgba(255, 255, 255, 0.788);
   padding: 30px;
   border-radius: 10px;
   box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3);
   animation-name: fadeIn;
   animation-duration: 0.2s;
   animation-timing-function: ease-in;
   animation-fill-mode: forwards;
   opacity: 0;
}
@keyframes fadeIn {
   from {
      opacity: 0;
   }
   to {
      opacity: 1;
   }
}
.bx-log-out {
   color: #333;
   transition: color 0.3s, background-color 0.3s;
}

.bx-log-out:hover {
   color: #9b9b9b;
}
.login-register {
   background: linear-gradient(to right, rgb(255, 255, 255), transparent);
   height: 100vh;
   padding: 20px;
   width: 550px;
}
.welcome {
   position: relative;
   top: 100px;
   left: 100px;
}
.priotask-Name {
   font-size: 50px;
   position: relative;
   top: 2px;
}
